#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int i,t,k;
    long long int x,n,a[100000],max=-99999,min=99999;

   scanf("%lld",&n);
   scanf("%lld",&x);
   for(i=0;i<n;i++)
   {
       scanf("%lld",&a[i]);

   }
  for(i=0;i<n;i++)
  {
      if(a[i]>max)
      {
          max=a[i];
      }
  }
   for(i=0;i<n;i++)
  {
      if(a[i]<min)
      {
          min=a[i];
      }
  }
  t=max-x;
  k=x-min;
  if(t>k)
  {
    if(x>min){

      printf("%d",2*k+t);
    }
    else
        printf("%d",t);
  }
  else
    if(x>max)
            {
                printf("%d",k);
            }
            else
    printf("%d",2*t+k);


       return 0;
}